# ChatEventMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.abstracts / ChatEventMessage

# ChatEventMessage

(common) `interface ChatEventMessage : Message` (source)

### Properties

(common)

#### chatEvent

`abstract val chatEvent: ChatEvent`

### Extension Functions

(common)

#### delete

`suspend fun Message.delete(requestsExecutor: RequestsExecutor): Boolean`

### Inheritors

(common)

#### ChannelEventMessage

`data class ChannelEventMessage : ChatEventMessage`

(common)

#### GroupEventMessage

`data class GroupEventMessage : ChatEventMessage`

(common)

#### SupergroupEventMessage

`data class SupergroupEventMessage : ChatEventMessage`